
#ifndef _C_GEOMETRY_MANIPULATOR_H
#define _C_GEOMETRY_MANIPULATOR_H

#include "ISingleton.h"
//#include "POINT3.h"

class CGeometryManipulator : public ISingleton<CGeometryManipulator>
{
	float	*m_VertexList,
			*m_NormalList,
			*m_TexCoordList;

	int		*m_IndexList,
			 m_VListSize,
			 m_IListSize,
			 m_TListSize;
/*
	class Point
	{
	public:
		point3 Vertex;
		point3 Normal;
		int Index;
	};
*/
public:
	void setVertexArray(float *VertexList, int ListSize);
	void setIndexArray(int *IndexList, int ListSize);
	void setTexCoordArray(float *TexCoordList, int ListSize);
	void getNormalArray(float *&NormalList);
	void getIndexArray(int *&IndexList, int &ListSize);
	void getVertexArray(float *&VertexList, int &ListSize);
	void getTexCoordArray(float *&TexCoordList, int &ListSize);

	void createUniqueTriangles();
	void createNormalTriangles();
};

#endif
