#ifndef _C_TEXT_PARSER_H
#define _C_TEXT_PARSER_H

#pragma warning (disable:4786)

#include <string>
#include <vector>
#include <fstream.h>

//#include "CDialogBox.h"

class CTextParser
{
	struct LookUpList
	{
		std::vector<std::string> ParamList;
		std::vector<std::string> Content;
	};

	static LookUpList CurrentList;
	static std::string CurrentFile[4];
	static std::string ParseParameter(std::string Text, std::string &Param);
	static std::string BracketsContent(std::string Text, std::string Bracket);

public:	
	static std::string FindKeyWordValue(std::string Text, std::string KeyWord);
	static std::vector<std::string> FindBracketsValues(std::string Text, std::string KeyWord);
	static std::vector<std::string> FindArrayValues(std::string Text, std::string KeyWord);
	static std::string GetFileContent(std::string FilePath);

	static std::string FindKeyWordValue(std::string KeyWord, int index = 0);
	static std::vector<std::string> FindArrayValues(std::string KeyWord, int index = 0);
	static bool GetFileSettings(std::string FilePath, int index = 0);

	static void Flush(int index = 0);
	static std::string  TextReplace(std::string Text, std::string OldText, std::string NewText);

};

#endif
